Bug 499 - gcc: cannot specify -o with -c or -S and multiple compilations
Summary: gcc: cannot specify -o with -c or -S and multiple compilations
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xau (show other bugs)
Version: unspecified
Hardware: Alpha Linux (All)
: medium major
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-19 07:11 UTC by Will L G
Modified: 2011-10-15 17:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Will L G 2004-04-19 07:11:00 UTC
Error while attempting to compile Xaw from cvs:

Making all in include
 /usr/bin/gcc -DHAVE_CONFIG_H -I. -I. -I. -include config.h -I./include -
I./include/X11/Xaw -DXTHREADS -DXUSE_MTSAFE_API -Wall -Wpointer-arith -Wstrict-
prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -fno-
strict-aliasing @XT_CFLAGS@ -I/usr/local/include -g -O3 -mtune=pca56 -
mcpu=pca56 -mmax -fexpensive-optimizations -ffast-math -pipe -ffloat-store -
funroll-loops -MT Actions.lo -MD -MP -MF .deps/Actions.Tpo -c Actions.c  -fPIC -
DPIC -o .libs/Actions.o
gcc: cannot specify -o with -c or -S and multiple compilations
make[2]: *** [Actions.lo] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

It appears the config script is creating faulty Makefile's...
Comment 1 Daniel Stone 2004-07-04 01:40:21 UTC
Fixed in CVS a while ago. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.